@use "../../../styles/defaults";
@use "../../../styles/colors";

.nav {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.mobile {
  display: none;
}

.mobile-menu {
  visibility: hidden;
  z-index: 1;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: colors.$neutral-dark-transparent;
  .menu-wrapper {
    padding: 1.8rem 1.8rem 2.2rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    .top {
      .header {
        display: flex;
        justify-content: space-between;
        margin-bottom: 1.6rem;
        app-logo {
          color: colors.$neutral-light;
        }
      }
    }
    .bottom {
      align-self: center;
    }
  }
}

.open-mobile-menu {
  visibility: visible;
  animation: fadeInGrowDown 0.6s ease-out;
}

.close-mobile-menu {
  animation: fadeOutShrinkUp 0.6s ease-in;
}

@media (max-width: defaults.$mobile-width) {
  .desktop {
    display: none;
  }
  .mobile {
    display: block;
  }
}

@keyframes fadeInGrowDown {
  0% {
    transform: translateY(-100%) scaleY(0);
    opacity: 0;
    visibility: hidden;
  }
  100% {
    opacity: 1;
    transform: translateY(0) scaleY(1);
    visibility: visible;
  }
}

@keyframes fadeOutShrinkUp {
  from {
    transform: translateY(0) scaleY(1);
    opacity: 1;
    visibility: visible;
  }
  to {
    transform: translateY(-100%) scaleY(0);
    opacity: 0;
    visibility: hidden;
  }
}
